# Update Project Updates a project, custom field values for the given projectId.Here "owner" field refers to the "contact" of the project. Endpoint: PUT /projects/{projectId} Version: v1 Security: bearerAuth ## Path parameters: - `projectId` (integer, required) ID of the Project Example: 1 ## Request fields (application/json): - `name` (string) name Example: "eportal" - `description` (string) description Example: "description" - `folderName` (string) folderName Example: "Projects" - `policyProfileName` (string) policyProfileName Example: "Default License Policy Profile" - `scanProfileName` (string) scanProfileName Example: "Basic Scan Profile (Without CL)" - `autoPublish` (boolean) autoPublish Example: true - `markAssociatedFilesAsReviewed` (boolean) markAssociatedFilesAsReviewed Example: true - `owner` (string) owner Example: "admin" - `risk` (string) risk Enum: "HIGH", "MEDIUM", "LOW" - `privateProject` (boolean) privateProject - `deleteEmptyInventory` (boolean) deleteEmptyInventory - `doNotPublishInventoryUnknownLicense` (boolean) doNotPublishInventoryUnknownLicense Example: true - `folderId` (integer) Example: 1 - `expandJarArchives` (boolean) expandJarArchives - `customFields` (array) customFields - `customFields.id` (integer, required) id Example: 1 - `customFields.value` (string, required) value Example: "Value for custom field" ## Response 200 fields ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 500 fields